Package be.ehealth.businessconnector.mycarenet.memberdatacommons.builders.impl

# Class NotEncryptedRequestObjectBuilderImpl

java.lang.Object
be.ehealth.businessconnector.mycarenet.memberdatacommons.builders.impl.NotEncryptedRequestObjectBuilderImpl

All Implemented Interfaces:
  `RequestObjectBuilder`, `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Direct Known Subclasses:
  `IrisCareNetNotEncryptedRequestObjectBuilder`, `WalCareNetNotEncryptedRequestObjectBuilder`

public class NotEncryptedRequestObjectBuilderImpl extends Object implements RequestObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

See Also:
  - `RequestObjectBuilder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NotEncryptedRequestObjectBuilderImpl()`
  `NotEncryptedRequestObjectBuilderImpl(String projectIdentifier)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bootstrap()`
  `MemberDataConsultationRequest`
  `buildConsultationRequest(boolean isTest, InputReference references, Object attrQuery)`
  Creates the `MemberDataConsultationRequest` that will be sent to the EHealth Web service and checks validity against the corresponding XSD

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NotEncryptedRequestObjectBuilderImpl

    public NotEncryptedRequestObjectBuilderImpl()

  - ### NotEncryptedRequestObjectBuilderImpl

    public NotEncryptedRequestObjectBuilderImpl(String projectIdentifier)

- ## Method Details

  - ### buildConsultationRequest

    public MemberDataConsultationRequest buildConsultationRequest(boolean isTest, InputReference references, Object attrQuery) throws TechnicalConnectorException, MemberDataBusinessConnectorException
    Description copied from interface: `RequestObjectBuilder`
    Creates the `MemberDataConsultationRequest` that will be sent to the EHealth Web service and checks validity against the corresponding XSD
    Specified by:
      `buildConsultationRequest` in interface `RequestObjectBuilder`
    Parameters:
      `isTest` - indicates if this is a test or not
      `references` - the reference of the the patient
      `attrQuery` - the attribute query who ll be transformed in b64 and maybe encrypted
    Returns:
      the request that need to be sent
    Throws:
      `TechnicalConnectorException` - the technical connector exception
      `MemberDataBusinessConnectorException` - the MemberData Business connector exception

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`